
Lookup Editor - Bug #944

Cannot load lookups with some meta-data

01/24/2015 08:29 AM - Luke Murphey

Status: Closed Start date: 01/24/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.1   

Description

Try with local.meta that looks like this (even the file is not in the users directory):

[lookups/test_case_import.csv]

owner = admin

version = 6.2.1

modtime = 1422085232.405032000

History

#1 - 01/24/2015 09:09 AM - Luke Murphey

The problem is in the following:

resolve_lookup_filename: fails to look at the path as provided by Splunk in that path variable

getBackupDirectory: does not properly resolve the backup directory

#2 - 01/24/2015 09:09 AM - Luke Murphey

- Target version set to 1.4.1

#3 - 01/24/2015 09:10 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 01/24/2015 09:10 AM - Luke Murphey

- % Done changed from 0 to 50

#5 - 01/24/2015 09:16 AM - Luke Murphey

Need to make sure that the saving doesn't put the file in the user's directory.

#6 - 01/25/2015 05:46 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#7 - 01/30/2015 11:15 PM - Luke Murphey

Steps to repro:

1. Make a lookup file (with owner as nobody)

2. Define meta-data to re-assign the owner (see below)

3. Restart Splunk

4. Attempt to edit the lookup. Note that it either doesn't load and/or backups are not stored in the correct directory.

The meta-data should look something like this:

[lookups/test_perms.csv]
access = read : [ * ], write : [ admin ]

export = none

owner = luke

#8 - 02/01/2015 04:32 AM - Luke Murphey

This seems to be working but with some odd behavior.

If you attempt to load a lookup file in the editor it will open it within the context of the user. This causes a copy to be made in the users' directory.

#9 - 02/01/2015 04:32 AM - Luke Murphey

Need to verify that the export works appropriately too.

#10 - 02/01/2015 04:32 AM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 90

#11 - 02/01/2015 04:24 PM - Luke Murphey

This seems to be working now. The main issue occurs when the lookup file has an user as an owner but the file is in a the apps directory, not the

user's directory. Basically, I'm now detecting this state and including or excluding the owner when calling save accordingly so that another lookup

copy doesn't get made.

#12 - 02/01/2015 04:50 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
